using Newtonsoft.Json;

namespace Vo.Admin
{
    /// <summary>
    /// 详情
    /// </summary>
    public class GetPriListQueryVo
    {
        /// <summary>
        /// ID
        /// </summary>
        public int id { get; set; }


        /// <summary>
        /// 项目
        /// </summary>
        public int projectId { get; set; }


        /// <summary>
        /// 奖励名称
        /// </summary>
        public string prizeName { get; set; }


        /// <summary>
        /// 奖励比例
        /// </summary>
        public decimal prizePercent { get; set; }


        /// <summary>
        /// 奖励固定金额
        /// </summary>
        public decimal prizeAmount { get; set; }


        /// <summary>
        /// 条件模式
        /// </summary>
        public string conditionMode { get; set; }


        /// <summary>
        /// 是否递归
        /// </summary>
        public bool recursionFlag { get; set; }


        /// <summary>
        /// 奖励内容
        /// </summary>
        public string prizeContent { get; set; }



    }
}
